gavl: gavl_video_frame_s Struct Reference

gavl

Data Fields
gavl_video_frame_s Struct Reference
Video » Video frames

`#include <gavl.h>`

## Data Fields
uint8_t * | planes [GAVL_MAX_PLANES]
int | strides [GAVL_MAX_PLANES]
void * | client_data
int64_t | timestamp
int64_t | duration
gavl_interlace_mode_t | interlace_mode
gavl_timecode_t | timecode
int | dummy
gavl_rectangle_i_t | src_rect
| Valid rectangle in this frame (since 1.5.0) *‍/.
int32_t | dst_x
| x offset in the destination frame. (since 1.5.0) *‍/
int32_t | dst_y
| y offset in the destination frame. (since 1.5.0) *‍/
gavl_hw_context_t * | hwctx
| Handle for accessing the frame.
void * | storage
int | buf_idx

## Detailed Description

Video frame

## Field Documentation

## ◆ planes

uint8_t* gavl_video_frame_s::planes[GAVL_MAX_PLANES]

Pointers to the planes

## ◆ strides

int gavl_video_frame_s::strides[GAVL_MAX_PLANES]

For each plane, this stores the byte offset between the scanlines

## ◆ client_data

void* gavl_video_frame_s::client_data

For storing user data

## ◆ timestamp

int64_t gavl_video_frame_s::timestamp

Timestamp in stream specific units (see Video format definitions)

## ◆ duration

int64_t gavl_video_frame_s::duration

Duration in stream specific units (see Video format definitions)

## ◆ interlace_mode

gavl_interlace_mode_t gavl_video_frame_s::interlace_mode

Interlace mode

## ◆ timecode

gavl_timecode_t gavl_video_frame_s::timecode

Timecode associated with this frame

## ◆ src_rect

gavl_rectangle_i_t gavl_video_frame_s::src_rect

Valid rectangle in this frame (since 1.5.0) *‍/.

## ◆ dst_x

int32_t gavl_video_frame_s::dst_x

x offset in the destination frame. (since 1.5.0) *‍/

## ◆ dst_y

int32_t gavl_video_frame_s::dst_y

y offset in the destination frame. (since 1.5.0) *‍/

## ◆ hwctx

gavl_hw_context_t* gavl_video_frame_s::hwctx

Handle for accessing the frame.

## ◆ storage

void* gavl_video_frame_s::storage

Storage handle defined by hardware context

The documentation for this struct was generated from the following file:

- gavl.h